> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranets-monitoring/traffic-security-policy > Get lists of traffic and security policies ## OpenAPI ````json POST /v1/extranets-monitoring/traffic-security-policy { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranets-monitoring/traffic-security-policy": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsMonitoringTrafficSecurityPolicyPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsMonitoringTrafficSecurityPolicyPostResponse" } } } } }, "description": "Get lists of traffic and security policies" } } }, "components": { "schemas": { "v1ExtranetsMonitoringTrafficSecurityPolicyPostRequest": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isProvider": { "type": "boolean", "example": true } }, "additionalProperties": false }, "v1ExtranetsMonitoringTrafficSecurityPolicyPostResponse": { "type": "object", "properties": { "securityRules": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SecurityPolicyRuleRow" } }, "trafficRules": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2TrafficPolicyRuleRow" } } }, "additionalProperties": false }, "manaV2SecurityPolicyRuleRow": { "type": "object", "properties": { "device": { "$ref": "#/components/schemas/manaV2SiteDeviceStub" }, "securityPolicyRule": { "$ref": "#/components/schemas/manaV2SecurityPolicyRule" }, "vrfName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2TrafficPolicyRuleRow": { "type": "object", "properties": { "device": { "$ref": "#/components/schemas/manaV2SiteDeviceStub" }, "trafficPolicyRule": { "$ref": "#/components/schemas/manaV2TrafficPolicyRule" }, "vrfName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2SiteDeviceStub": { "type": "object", "properties": { "hostname": { "type": "string", "example": "example string" }, "id": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "manaV2SecurityPolicyRule": { "type": "object", "properties": { "action": { "type": "string", "example": "ENUM_VALUE" }, "implicit": { "type": "boolean", "example": true }, "match": { "$ref": "#/components/schemas/manaV2PolicyMatch" }, "policyRuleIndex": { "type": "integer", "format": "int64", "example": 1234567891011 }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2TrafficPolicyRule": { "type": "object", "properties": { "action": { "$ref": "#/components/schemas/manaV2TrafficPolicyAction" }, "match": { "$ref": "#/components/schemas/manaV2PolicyMatch" }, "policyRuleIndex": { "type": "integer", "format": "int64", "example": 1234567891011 }, "seq": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 } }, "additionalProperties": false }, "manaV2PolicyMatch": { "type": "object", "properties": { "destinationPort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "destinationPrefix": { "type": "string", "example": "example string" }, "icmpType": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "protocol": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourcePort": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "sourcePrefix": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "manaV2TrafficPolicyAction": { "type": "object", "properties": { "backup": { "type": "string", "example": "ENUM_VALUE", "description": "Backup circuit for the traffic policy action" }, "class": { "type": "string", "example": "ENUM_VALUE", "description": "Class for the traffic policy action" }, "primary": { "type": "string", "example": "ENUM_VALUE", "description": "Primary circuit for the traffic policy action" }, "result": { "type": "string", "example": "ENUM_VALUE", "description": "Result for the traffic policy action" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````